#include <unistd.h>
#include <stdio.h>
#include <fcntl.h>

int main()
{
	char buf[10];
	int fd;
	
	fd = open("/dev/echo", O_RDWR);
	if (fd < 0){
		printf("Failed open()\n");
	}
	
	write (fd, "Hello!", 7);
	read (fd, buf, 7);
	printf("read() %s\n", buf);
	
	return 0;
}
